WordTagSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.postag

## Class WordTagSampleStream

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<String,POSSample>
  - - opennlp.tools.postag.WordTagSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<POSSample>

      public class WordTagSampleStream
      extends FilterObjectStream<String,POSSample>

  A stream filter which reads a sentence per line which contains words and tags in word_tag format and outputs a `POSSample` objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WordTagSampleStream(ObjectStream<String> sentences)` Initializes the current instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `POSSample` | `read()` Parses the next sentence and return the next `POSSample` object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WordTagSampleStream

          public WordTagSampleStream(ObjectStream<String> sentences)

      Initializes the current instance.
      Parameters:
        `sentences` - the sentences

  - ### Method Detail

    - #### read

          public POSSample read()
                         throws IOException

      Parses the next sentence and return the next `POSSample` object. If an error occurs an empty `POSSample` object is returned and an warning message is logged. Usually it does not matter if one of many sentences is ignored. TODO: An exception in error case should be thrown.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.